module comgeomfi
   real,save,allocatable :: long(:)
   real,save,allocatable :: lati(:)
   real,save,allocatable :: area(:)
   real,save,allocatable :: sinlon(:)
   real,save,allocatable :: coslon(:)
   real,save,allocatable :: sinlat(:)
   real,save,allocatable :: coslat(:)
   real,save :: totarea
   integer,save :: ngridmax,nlayermx,nsoilmx
!$OMP THREADPRIVATE(long,lati,area,sinlon,coslon,sinlat,coslat,totarea)
!$OMP THREADPRIVATE(ngridmax,nlayermx,nsoilmx)
contains
  
  subroutine InitComgeomfi
  USE mod_phys_lmdz_para
  USE dimphy, ONLY : klon,klev
  implicit none
    
    print*,'Dans initcomgeomfi '
    ngridmax=klon_omp
    nlayermx=klev
    nsoilmx=10
    print*,'ngridmax,nlayermx',ngridmax,nlayermx
 
    allocate(long(klon_omp))
    allocate(lati(klon_omp))
    allocate(area(klon_omp))
    allocate(sinlon(klon_omp))
    allocate(coslon(klon_omp))
    allocate(sinlat(klon_omp))
    allocate(coslat(klon_omp))

  end subroutine InitComgeomfi
  
end module comgeomfi
